 
var discnt = 15; 
function initPayPalButton() {
    var shipping = 0;
    var itemOptions = document.querySelector("#smart-button-container #item-options");
    var quantity = parseInt(15);
    var quantitySelect = document.querySelector("#smart-button-container #quantitySelect");
    if (!isNaN(quantity)) {
      quantitySelect.style.visibility = "visible";
    }
    var orderDescription = 'Choose your desired Item and leave your ingame name in the payment process.';
    if(orderDescription == '') {
      orderDescription = 'Item';
    }
    paypal.Buttons({
      style: {
        shape: 'pill',
        color: 'black',
        layout: 'vertical',
        label: 'pay',
      },
	  createOrder: function(data, actions) {
        var selectedItemDescription = itemOptions.options[itemOptions.selectedIndex].value;
        var selectedItemPrice = parseFloat(itemOptions.options[itemOptions.selectedIndex].getAttribute("price"));
		if(selectedItemDescription .includes("UNIQUE"))
		{
			discnt = 0;
		}
        var tax = (19 == 0 || false) ? 0 : (selectedItemPrice * (parseFloat(19)/100));
        if(quantitySelect.options.length > 0) {
          quantity = parseInt(quantitySelect.options[quantitySelect.selectedIndex].value);
        } else {
          quantity = 1;
        }

        tax *= quantity;
        tax = Math.round(tax * 100) / 100;
		tax=0;
        var priceTotal = quantity * selectedItemPrice + parseFloat(shipping) + tax;
        priceTotal = Math.round(priceTotal * 100) / 100;
		
		
        var itemTotalValue = Math.round((selectedItemPrice * quantity) * 100) / 100;
		var discountAmount = 0;
        if(discnt > 0)  
		{
			discountAmount = itemTotalValue * discnt /100;
			priceTotal = itemTotalValue - discountAmount;
        }
		
        return actions.order.create({
          purchase_units: [{
            description: orderDescription,
            amount: {
              currency_code: 'USD',
              value: priceTotal,
              breakdown: {
                item_total: {
                  currency_code: 'USD',
                  value: itemTotalValue,
                },
                shipping: {
                  currency_code: 'USD',
                  value: shipping,
                },
                tax_total: {
                  currency_code: 'USD',
                  value: tax,
                },
				discount: {
                  currency_code: 'USD',
                  value: discountAmount,
                },
              }
            },
            items: [{
              name: selectedItemDescription,
              unit_amount: {
                currency_code: 'USD',
                value: selectedItemPrice,
              },
              quantity: quantity,
            }]
          }]
        });
      },
      onApprove: function(data, actions) {
        return actions.order.capture().then(function(orderData) {
          
          // Full available details
          console.log('Capture result', orderData, JSON.stringify(orderData, null, 2));

          // Show a success message within this page, e.g.
		  var x = document.getElementById("item-options").value;
          const element = document.getElementById('paypal-button-container');
          element.innerHTML = '';
          element.innerHTML = '<h3>Thank you for your payment of '+ x + '!</h3>';

          // Or go to another URL:  actions.redirect('thank_you.html');

        });
      },
      onError: function(err) {
        console.log(err);
      },
    }).render('#paypal-button-container');
	
  }
  initPayPalButton();
  
  
function displayNote() {
	var x = document.getElementById("item-options").value;
	if(x == "Level95Character")
	{
		document.getElementById("note").innerHTML = "** <h1>This contains a  new Character </h1> with: <br>" + 
				"2.000k Fame, <br>Reckless/Cautious Lvl 95 Gear sets with clean mix11 elda stone, Cautious/Reckless Wing +12, <br>"+
				"Mastery Armor Set + 1 with clean mix11 elda stone, <br>"+
				"2 Rings (ATK and DEF), level 45 ATK and DEF Pet, <br>"+
				"2000m eld, 27000 Zofaro Token, <br>" +
				"Also part of the Package: Items to Solve the Class Mastery Quests Part 1 and 2 (20 Mix7 Stones and 10 lv7 Order Stones)";
	}
	else if(x == "Title")
	{
		document.getElementById("note").innerHTML = "* Quest-Bound and Custom Titles are excluded from this option. <br>" + 
				"All Titles after the Title 'Chimera Booster' are not available.";
	}
	else if(x == "Level100Upgrade")
	{
		document.getElementById("note").innerHTML = "** <h1>Only Available for Level 95+ Characters</h1> <br> This set contains: <br>" + 
				"Level boost to  level 100(unless the level is already above 100), 500k Fame, <br>Lvl 100 Reckless/Cautious Gear (Rage & Valor), with clean mix11 elda stone, "+
				"<br>1x Reckless Wings + 11 <br> "+
				"<br>1x Cautious Wings + 11 <br> "+
				"<br> 2x Level 99 Rings/Necklace <br> "+
				"<br>500m eld, 1000 Zofaro Token <br> "+
				"20 Small Aenima Souls, 10 Big Aenima Souls, 5 Large Aenima Souls";
	}
	else if(x == "10LuckyTicket_12238")
	{
		document.getElementById("note").innerHTML = "This item contains 1 of the following items each: <br>" +
		"EXP-Bible 3Day, EXP Bible 5h <br>" +
		"3day Magical Defense, 3day Physical Defense <br>" +
		"3day Magical Offense, 3day Physical Offense <br>" +
		"3day +100% Drop Rate <br>" +
		"Spirit Key, Pizza <br>" +
		"Highest Ticket" ;
	}
	else 
	{
		document.getElementById("note").innerHTML = "";
	}
	
	if(discnt > 0)
	{
		if(!x.includes("UNIQUE"))
		{
			document.getElementById("note").innerHTML += "<br>" + discnt + "% Discount to all non-unique purchases ";
		}
		else
		{
			document.getElementById("note").innerHTML += "<br> Unique Items are excluded from discounts. ";
		}
		
		
	}
}
function urlWithRndQueryParam(url, paramName) {
    const ulrArr = url.split('#');
    const urlQry = ulrArr[0].split('?');
    const usp = new URLSearchParams(urlQry[1] || '');
    usp.set(paramName || '_z', `${Date.now()}`);
    urlQry[1] = usp.toString();
    ulrArr[0] = urlQry.join('?');
    return ulrArr.join('#');
}

function handleHardReload(url) {
    window.location.href = urlWithRndQueryParam(url);
    // This is to ensure reload with url's having '#'
    window.location.reload();
}

handleHardReload(window.location.href);